Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Introduction
  2. Define settings for data collections
  3. Manage Data Marketplace content
  4. Manage data collections
  5. Manage requests, orders and consumer accesses
  6. Miscellaneous APIs
  7. Frequently Asked Questions

API Reference

API Reference

Response

Response

When you pass the API query parameters in the REST client, the client displays a response for the parameter values that you have entered.
The following example shows the response of an API call to retrieve the details of a data collection request:
{ "processingTime": 486, "offset": 0, "limit": 50, "totalCount": 1, "objects": [ { "id": "407225ad-7870-4678-8169-43829d80c4bc", "refId": "d90574a4-417d-4c34-b9f1-4f2da5fc997a", "justification": "None of the data collections contain retail information specific to the EMEA region.", "costCenter": "Retail-2007IQ", "referencedCategory": { "id": "ad90417f-28bf-44ea-8204-127d70a4a7c9", "name": "Retail", "description": "This category contains information on the operational data of retail outlets.", "refId": "d00be828-d47c-4e9f-a65f-502ba6b633f9", "status": "ACTIVE", "effectiveStatus": "ACTIVE" }, "referencedDataCollection": {}, "createdDataCollection": {}, "usageContext": {}, "status": "PENDING", "createdBy": { "displayName": "John Doe", "id": "8npzPxKim0XjHE4es2gkAc", "name": "John Doe", "email": "jdoe@informatica.com", "phone": "2020202020", "status": "ACTIVE", "userInfo": {}, "isGroup": true }, "createdOn": "2022-09-15T17:04:29.382Z", "modifiedBy": { "displayName": "John Doe", "id": "8npzPxKim0XjHE4es2gkAc", "name": "John Doe", "email": "jdoe@informatica.com", "phone": "2020202020", "status": "ACTIVE", "userInfo": {}, "isGroup": true }, "modifiedOn": "2022-09-15T17:04:29.382Z" } ] }
The following table describes the parameters of each data collection request that is retrieved:
Parameter
Description
offset
Start index for paginated results.
By default, offset is 0.
limit
Maximum number of results.
By default, limit is 50
totalCount
Total count of records matching the given filters.
id
The system generated unique identifier of the data collection request.
refId
The reference identifier of the data collection request.
justification
The business justification that was entered by the requestor of the new data collection.
costCenter
The cost center of the requestor of the new data collection.
referencedCategory
The details of the category in which the new data collection is to be created.
referencedCategory > id
The system generated unique identifier of the category in which the new data collection is to be created.
referencedCategory > name
The name of the category in which the new data collection is to be created.
referencedCategory > description
The description of the category in which the new data collection is to be created.
referencedCategory > refId
The reference identifier of the category in which the new data collection is to be created.
referencedCategory > status
The status of the category, as configured by the Category Owner.
referencedCategory > effectiveStatus
The effective status of the category in which the new data collection is to be created.
referencedDataCollection
The details of the data collection based on which the new data collection is to be created.
createdDataCollection
The details of the new data collection that is created in response to the data collection request.
usageContext
The details of the usage context entered by the requestor of the new data collection.
status
Status of the data collection request.
createdBy
The details of the user account that requested a new data collection.
createdOn
The date when the data collection request was created.
modifiedBy
The details of the latest user account that modified the data collection request.
modifiedOn
The latest date when the data collection request was modified.

0 COMMENTS

We’d like to hear from you!